<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="html"
        omit-xml-declaration="no"
        doctype-public="-//W3//DTD XHTML 1.0 Transitional//EN"
        doctype-system="http://www.w3.org/tr/xhtml1/DTD/xhtml1-transitional.dtd"
        indent="no"/>
	
	<xsl:template match="/">
		<html xmlns="http://www.w3.org/1999/xhtml">
			<head>
				<title>Transcript Page</title>

				<style type="text/css">
					body { line-height: 1.2; margin: 0px; padding: 0px; border: 0px currentColor; text-align: left; font-size: 13px; font-family: arial,sans-serif; background: rgb(251, 251, 251); }

					#transcript-scrollbox { margin: 5px 3px; cursor: pointer; overflow-x: hidden; overflow-y: hidden;}

					.caption-line { border-radius: 3px; border: 1px solid rgb(255, 255, 255); font-size: 12px; margin-right: 2px; -moz-border-radius: 3px; -webkit-border-radius: 3px; }
					.caption-line:hover { background-color: rgb(208, 224, 250); }
					.caption-line-highlight { color: rgb(51, 51, 51);	font-weight: 700; background-color:	rgb(240, 240, 250); -moz-transition: all 0.1s ease-in;
					-ms-transition: all 0.1s ease-in; -o-transition: all 0.1s ease-in; -webkit-transition: all 0.1s ease-in; transition:	all 0.1s ease-in; }

					.caption-line-time { width: 55px; color: rgb(102, 102, 102); vertical-align: top; display: inline-block; font-weight:500;}
					.caption-line-text { width: 500px; overflow: hidden; display:	inline-block;}
				</style>
	
				<script type="text/javascript">
					function OnClick(oCCLine)
					{
						var nTime = parseInt(oCCLine.getAttribute("data-time"));
						
						if(window.opener)
							window.opener.g_oSessionManager.Navigate(nTime, true);
					} // OnClick
				</script>
				
			</head>
			<body>
				<div id="transcript-scrollbox">
					
					<xsl:for-each select="DATA/SGMTS/SGMT/SMPL">
						<div class="caption-line" onclick="OnClick(this)">
							
							<xsl:attribute name="id">cp-<xsl:value-of select="@inx"/></xsl:attribute>
							<xsl:attribute name="data-time"><xsl:value-of select="@time"/></xsl:attribute>
							<span class="caption-line-time">
								<xsl:value-of select="format-number(floor(number(@time) div 3600000),'00')"/>:<xsl:value-of select="format-number(floor(number(@time mod 3600000) div 60000),'00')"/>:<xsl:value-of select="format-number(number(@time mod 60000) div 1000,'00')"/>
							</span>
							<span class="caption-line-text">
								<xsl:value-of select="."/>
							</span>
						</div>

					</xsl:for-each>
					
				</div>
			</body>
		</html>
	</xsl:template>

</xsl:stylesheet>